---
title: Device Subscriptions Endpoints (2022/06)
slug: develop/device-subscriptions-endpoints-202206
docTags: 
createdAt: 2025-03-11T07:03:30.743Z
---

These endpoints allow users to manage player subscriptions on a network. 

Base URL for these endpoints:  ***https\://api.bsn.cloud/2022/06/REST/Subscriptions***

*\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_*

## GET /

Returns a list of player subscriptions

**Required Scope Token**

bsn.api.main.subscriptions.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameters**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A search [expression](docId:3L0afyD3xoOE-yTvfk2vs) for narrowing the result set
- `sort` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An expression for sorting the search results. The sort expression specifies the entry used for sorting and the ascending/descending (ASC/DESC) sorting order (see [this page](docId:3L0afyD3xoOE-yTvfk2vs) for more information).
- `marker` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>A value specifying which page to retrieve. This value is useful if the `isTruncated` entry in the response body of the previous GET call indicates that the number of player subscription instances exceeds the `pageSize`. This parameter is only required if you need more elements in the paged list than the `pageSize` (100).
- `pageSize` <font color="#704ae0">int</font> <font color="#01a0af">optional: </font>The maximum number of device subscription instances that can be contained in the response body. This defaults to the maximum allowed page size (100).

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `marker` value is set to the `[PagedList].[NextMarker]` property value from the previous BSN.Cloud API response.
- `pageSize` is set to `1`
- `filter` is set to `[Device] IS NULL AND [Status] IS IN ('Active', 'Suspending')`
- `sort` is set to `[CreationDate] DESC`

```text
GET /2022/06/REST/Subscriptions/?marker=NDI0NTY0LDQyNDU2NA%3D%3D&pageSize=1&filter=%5BDevice%5D%20IS%20NULL%20AND%20%5BStatus%5D%20IS%20IN%20%28%27Active%27%2C%20%27Suspending%27%29&sort=%5BCreationDate%5D%20DESC HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns a [paged list](docId\:Pwwr0Ln3-binNgL-mr3St) of [Player Subscription](#) entities on a network. This will return not more than 100 entities along with the information necessary to return any other remaining pages.

**Example**

```json
{
   "items": [   {
      "id": 424574,
      "device": null,
      "type": "Commercial",
      "activityPeriod": "365.00:00:00",
      "status": "Active",
      "creationDate": "2023-06-02T07:02:52.99Z",
      "lastModifiedDate": "2023-06-02T07:02:52.99Z",
      "activationDate": "2023-06-02T07:02:52.99Z",
      "suspensionDate": null,
      "expirationDate": null
   }],
   "totalItemCount": 20,
   "matchingItemCount": 9,
   "pageSize": 1,
   "nextMarker": "MjAyMy0wNi0wMlQwNzowMjo1Mi45OTBaLDQyNDU3NA==",
   "prevMarker": "MjAyMy0wNi0wMlQwNzowMjo1Mi45OTBaLDQyNDU36H78",
   "isTruncated": true,
   "sortExpression": "[CreationDate] DESC",
   "filterExpression": "[Device] IS NULL AND [Status] IS IN ( 'Active' , 'Suspending' )"
}
```

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Count/ 

Retrieves the number of subscription instances on the network matching the specified filter criteria. If no filter is included, this call returns the total number of subscription instances on the network. 

**Required Scope Token**

bsn.api.main.subscriptions.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Query String Parameter**

- `filter` <font color="#704ae0">string</font> <font color="#01a0af">optional: </font>An [expression](docId:3L0afyD3xoOE-yTvfk2vs) for filtering search results. The default value is null.

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

- `filter` is set to`[Id] IS GREATER THAN 0 AND [Status] IS IN ('Active', 'Suspending')`

```text
GET /2022/06/REST/Subscriptions/Count/?pageSize=0&filter=%5BId%5D%20IS%20GREATER%20THAN%200%20AND%20%5BStatus%5D%20IS%20IN%20%28%27Active%27%2C%20%27Suspending%27%29 HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: The subscription instance count is returned as an integer value.

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error

## GET /Operations/ 

Returns operational permissions granted to roles for specific business operations

**Required Scope Token**

bsn.api.main.operations.retrieve

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Request Example**

The example request parameters and headers are set as follows:

```text
GET /2022/06/REST/Subscriptions/Operations/ HTTP/1.1
Host: api.bsn.cloud
Connection: Keep-Alive
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Accept-Encoding: gzip,deflate
```

\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_\_

**Success Response Body**

<font color="#089a4d">200</font>: Returns the [Business Operations Entity](docId\:eI98k7OUl6z5i-5B-D6js)

**Example**

:::ExpandableHeading
Expand

```json
{
   "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
   "singularName": "Full Control",
   "pluralName": "Device Subscription (Full Control)",
   "fullName": "Device Subscription (Full Control)",
   "targetEntity": "Subscription",
   "appliance": "Instance, Collection",
   "parent": null,
   "descendants":    [
            {
         "uid": "d6416c44-747e-7e24-f549-5a57525e046d",
         "singularName": "View Subscription",
         "pluralName": "View Subscriptions",
         "fullName": "Device Subscription (Full Control) - View Subscriptions",
         "targetEntity": "Subscription",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:06.767Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:07.503Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "d6416c44-747e-7e24-f549-5a57525e046d",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            }
         ]
      },
            {
         "uid": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
         "singularName": "Export Subscriptions",
         "pluralName": "Export Subscriptions",
         "fullName": "Device Subscription (Full Control) - Export Subscriptions",
         "targetEntity": "Subscription",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": false,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:07.517Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "398bd8f9-8950-4735-97f8-50bf8c8b5759",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            }
         ]
      },
            {
         "uid": "1d8a9fc5-5958-7fe4-959b-447491382e87",
         "singularName": "View Subscription Invoice",
         "pluralName": "View Subscription Invoices",
         "fullName": "Device Subscription (Full Control) - View Subscription Invoices",
         "targetEntity": "SubscriptionInvoice",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "1d8a9fc5-5958-7fe4-959b-447491382e87",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
         "singularName": "View Traffic Invoice",
         "pluralName": "View Traffic Invoices",
         "fullName": "Device Subscription (Full Control) - View Traffic Invoices",
         "targetEntity": "TrafficInvoice",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "b2edb137-9e21-b444-5913-d3ef4ec7ef0c",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
         "singularName": "Export Subscription Invoice",
         "pluralName": "Export Subscription Invoices",
         "fullName": "Device Subscription (Full Control) - Export Subscription Invoices",
         "targetEntity": "SubscriptionInvoice",
         "appliance": "Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "083dc302-4ac3-4e3a-be2d-be0b44c9a4fe",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "9a99bf40-9791-4114-b90a-2c86d04a5254",
         "singularName": "Export Traffic Invoice",
         "pluralName": "Export Traffic Invoices",
         "fullName": "Device Subscription (Full Control) - Export Traffic Invoices",
         "targetEntity": "TrafficInvoice",
         "appliance": "Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "9a99bf40-9791-4114-b90a-2c86d04a5254",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      },
            {
         "uid": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
         "singularName": "Update Subscription",
         "pluralName": "Update Subscription",
         "fullName": "Device Subscription (Full Control) - Update Subscription",
         "targetEntity": "Subscription",
         "appliance": "Instance, Collection",
         "parent":          {
            "uid": "616d956d-9a74-f674-61a9-3ab02f028352",
            "singularName": "Full Control",
            "pluralName": "Device Subscription (Full Control)",
            "fullName": "Device Subscription (Full Control)",
            "targetEntity": "Subscription",
            "appliance": "Instance, Collection",
            "parent": null,
            "descendants": null,
            "permissions": null
         },
         "descendants": [],
         "permissions":          [
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Administrators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 1
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.18Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "General Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 2
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": true,
               "creationDate": "2020-03-05T16:59:05.437Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Creators",
                  "isCustom": false,
                  "type": "Role",
                  "id": 3
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:05.747Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Publishers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 4
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.19Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Network Managers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 5
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:06.753Z"
            },
                        {
               "entityId": null,
               "operationUID": "a3f0679f-a23f-4130-bb73-84e1a1f0f9da",
               "principal":                {
                  "name": "Viewers",
                  "isCustom": false,
                  "type": "Role",
                  "id": 6
               },
               "isFixed": true,
               "isInherited": true,
               "isAllowed": false,
               "creationDate": "2020-03-05T16:59:07.493Z"
            }
         ]
      }
   ],
   "permissions":    [
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Administrators",
            "isCustom": false,
            "type": "Role",
            "id": 1
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2020-03-05T16:59:05.18Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "General Managers",
            "isCustom": false,
            "type": "Role",
            "id": 2
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": true,
         "creationDate": "2020-03-05T16:59:05.437Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Creators",
            "isCustom": false,
            "type": "Role",
            "id": 3
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:05.747Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Publishers",
            "isCustom": false,
            "type": "Role",
            "id": 4
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.19Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Network Managers",
            "isCustom": false,
            "type": "Role",
            "id": 5
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:06.753Z"
      },
            {
         "entityId": null,
         "operationUID": "616d956d-9a74-f674-61a9-3ab02f028352",
         "principal":          {
            "name": "Viewers",
            "isCustom": false,
            "type": "Role",
            "id": 6
         },
         "isFixed": true,
         "isInherited": false,
         "isAllowed": false,
         "creationDate": "2020-03-05T16:59:07.493Z"
      }
   ]
}
```
:::

**Failure Response**

<font color="#9a0808">300</font>: The requested representation could not be returned because it is ambiguous (there are multiple requested representations)

<font color="#9a0808">400</font>: The request is malformed and therefore invalid

<font color="#9a0808">401</font>: The access token is invalid or not specified

<font color="#9a0808">403</font>: The supplied access token, though valid, doesn't provide access to this method 

<font color="#9a0808">406</font>: The server cannot return the data representation that you requested (as specified in the "Accept" header)

<font color="#9a0808">5XX</font>: Any 500 code is an internal server error
